package net.knarcraft.paidsigns.container;

import org.jetbrains.annotations.NotNull;

/**
 * A container class for number of condition matches for a paid sign
 *
 * @param paidSign         <p>The paid sign this class keeps track of matches for</p>
 * @param conditionMatches <p>The number of conditions matched for the paid sign</p>
 */
public record PaidSignConditionMatch(PaidSign paidSign,
                                     int conditionMatches) implements Comparable<PaidSignConditionMatch> {

    @Override
    public int compareTo(@NotNull PaidSignConditionMatch other) {
        return Integer.compare(this.conditionMatches, other.conditionMatches);
    }

}
